Bug 11238 - The version of the manual online link should be dynamically updated
Summary: The version of the manual online link should be dynamically updated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 10671
Blocks: 16724
  Show dependency treegraph
 
Reported: 2013-11-12 15:53 UTC by Jonathan Druart
Modified: 2016-06-13 17:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11238: Build the version for the manual link (164.71 KB, patch)
2013-11-12 15:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11238: Build the version for the manual link (163.14 KB, patch)
2013-11-12 20:20 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 11238: Build the version for the manual link (163.19 KB, patch)
2013-11-22 18:59 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-11-12 15:53:26 UTC
In order to avoid to manually update manual link for each new version, we can generate the version number from the version contained in the DB.
Comment 1 Jonathan Druart 2013-11-12 15:59:32 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-11-12 20:20:10 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-11-22 18:59:05 UTC
Created attachment 23105 [details] [review]
Bug 11238: Build the version for the manual link

Test plan (for 3.15 branch):
- Open a help page
- Verify the manual link is correct (point to 3.14 manual)
- change the version in mysql:
update systempreferences set value="3.1600000" where variable="version";
- Verify the manual link now points to the future 3.16 manual.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described. No koha-qa errors

Tested on top of Bug 10671
On master (BD version 3.13.xxx) help links point to 3.12 manual
Changing version to 3.14/15 points to 3.14 manual
Changing version to 3.16 points to the future :)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2013-11-23 19:36:59 UTC
Pushed to master.  Thanks, Jonathan!
Comment 5 Fridolin SOMERS 2013-12-13 08:24:10 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1